# Interface methods for submodule: StochasticFractalDimensionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: StochasticFractalDimensionImageFilter
class StochasticFractalDimensionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaskImage(self, mask) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetNeighborhoodRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetNeighborhoodRadius(self) -> Sequence[int]:
		""""""
		...

